import 'package:dartz/dartz.dart';
import '../../core/error/failures.dart';
import '../models/login_request.dart';
import '../models/login_response_model.dart';
import '../repositories/auth_repository.dart';

class LoginUseCase {
  final AuthRepository repository;

  LoginUseCase({required this.repository});

  Future<Either<Failure, LoginResponseModel>> call(LoginRequest request) {
    return repository.login(request);
  }
}
